%define module beautifulsoup4

Name: python-%module
Version: 4.5.0
Release: %mkrel 2
Summary: The Screen-Scraper's Frien 

Group: Development/Python
License: Python
URL:      http://www.crummy.com/software/BeautifulSoup/bs4/
Source0: http://pypi.python.org/packages/source/b/%module/%module-%version.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildArch: noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.

%package -n python3-python-%{module}
Summary: The Screen-Scraper's Frien
Group: Development/Python
BuildRequires:  libpython3-devel
BuildRequires:  python3-setuptools

%description -n python3-python-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.


%files
%py_puresitedir/*.egg-info
%py_puresitedir/bs4

%files -n python3-python-%{module}
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/bs4



#--------------------------------------------------------------------

%prep
%setup -q -n %module-%version

%build
%{__python} setup.py build
2to3 -w bs4
%{__python3} setup.py build 


%install
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python3} setup.py install --skip-build --root=%{buildroot}


%changelog
* Wed Dec 21 2016 adrianomorselli <adrianomorselli> 4.5.0-2uplos2016
- rebuild with old automake and libtool

* Sun Dec 18 2016 adrianomorselli <adrianomorselli> 4.5.0-1uplos2016
- rebuild

* Sun Jul 24 2016 Ken <lxgator at gmail.com< 4.5.0-1pclos2016
- update

* Sat Aug 10 2013 billybot <billybot< 4.1.3-1pclos2013
- update
